schemaVersion: "1.0"
pattern:
  id: "ecf4381f4653b0aa9a69b417"
  className: "ch.nevis.admin.v4.plugin.nevisproxy.patterns.GenericHostContextSettings"
  name: "DefaultErrorPages"
  label: "UTILS"
  properties:
    filters: "<filter>\n     <filter-name>DefaultErrorFilter</filter-name>\n     <filter-class>ch::nevis::isiweb4::filter::error::ErrorFilter</filter-class>\n\
      \     <init-param>\n         <param-name>StatusCode</param-name>\n         <param-value>\n\
      \       400:NevisLogrendConnector_${param.logrendInstancePatternName}:/nevislogrend/errorPages/404.vm?logrendresourcepath=/nevislogrend:keep-status-code\n\
      \       403:NevisLogrendConnector_${param.logrendInstancePatternName}:/nevislogrend/errorPages/403.vm?logrendresourcepath=/nevislogrend:keep-status-code\n\
      \       404:NevisLogrendConnector_${param.logrendInstancePatternName}:/nevislogrend/errorPages/404.vm?logrendresourcepath=/nevislogrend:keep-status-code\n\
      \       408:NevisLogrendConnector_${param.logrendInstancePatternName}:/nevislogrend/errorPages/timeout.vm?logrendresourcepath=/nevislogrend:keep-status-code\n\
      \       500:NevisLogrendConnector_${param.logrendInstancePatternName}:/nevislogrend/errorPages/500.vm?logrendresourcepath=/nevislogrend:keep-status-code\n\
      \       502:NevisLogrendConnector_${param.logrendInstancePatternName}:/nevislogrend/errorPages/502.vm?logrendresourcepath=/nevislogrend:keep-status-code\n\
      \         </param-value>\n     </init-param>\n     <init-param>\n         <param-name>CheckAcceptHeader</param-name>\n\
      \         <param-value>true</param-value>\n     </init-param>\n     <init-param>\n\
      \         <param-name>PlaceHolders</param-name>\n         <param-value>\n  \
      \           TransferIdHolder:TRANSFER_ID\n             TimestampHolder:TIMESTAMP\n\
      \         </param-value>\n     </init-param>\n</filter>\n<filter>\n     <filter-name>FallbackErrorFilter</filter-name>\n\
      \     <filter-class>ch::nevis::isiweb4::filter::error::ErrorFilter</filter-class>\n\
      \     <init-param>\n         <param-name>StatusCode</param-name>\n         <param-value>\n\
      \            500:file:/resources/errorPages/500.html:reset-header:reset-status-code\n\
      \            502:file:/resources/errorPages/502.html:reset-header:reset-status-code\n\
      \            503:file:/resources/errorPages/500.html:reset-header:reset-status-code\n\
      \            504:file:/resources/errorPages/500.html:reset-header:reset-status-code\n\
      \         </param-value>\n     </init-param>\n     <init-param>\n         <param-name>CheckAcceptHeader</param-name>\n\
      \         <param-value>true</param-value>\n     </init-param>\n     <init-param>\n\
      \         <param-name>PlaceHolders</param-name>\n         <param-value>\n  \
      \           TransferIdHolder:TRANSFER_ID\n             TimestampHolder:TIMESTAMP\n\
      \         </param-value>\n     </init-param>\n</filter>\n<filter-mapping>\n\
      \   <filter-name>DefaultErrorFilter</filter-name>\n   <url-pattern>/*</url-pattern>\n\
      </filter-mapping>\n<filter-mapping>\n   <filter-name>FallbackErrorFilter</filter-name>\n\
      \   <servlet-name>NevisLogrendConnector_${param.logrendInstancePatternName}</servlet-name>\n\
      </filter-mapping>"
    filterMappings: "manual"
    phase: "START"
    parameters: "logrendInstancePatternName: nevisLogrend"
